﻿@model AllValueForSearchCatalogViewModel

@{
    Layout = null;
}
@*<style>
    .pagination a {
        color: black;
        float: left;
        padding: 8px 16px;
        text-decoration: none;
        transition: background-color .3s;
    }

        .pagination a.active {
            background-color: #4CAF50;
            color: white;
        }

        .pagination a:hover:not(.active) {
            background-color: #ddd;
        }
</style>*@
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Catalog'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Search provider catalog
            </h1>
        </div>

        <div class="clearfix"></div>
    </div>

    <div class="grid fluid">
        <div class="row">
            <div class="span12 catalog">
                <div class="table-content table-content-green" style="margin-top: 20px;">
                    <h4 class="title" data-fontsize="14" data-lineheight="14">Select a provider name to see their catalog page and available classes</h4>


                    <div class="input-control select select-with-btn" data-role="input-control">
                        <button class="button large primary pull-right" style="float:right;" ng-click="OneProviderCatalogs(Model.SelectedProvider)">Go</button>

                        <select class="advance-search-select" chosen ng-model="Model.SelectedProvider" name="Provider" data-placeholder="Select provider"
                                ng-options="obj.Value as obj.Text for obj in Model.PartnerProviders">
                        </select>
                    </div>

                </div>

                <div class="table-content table-content-green" style="margin-top: 20px;">
                    <h4 class="title" data-fontsize="14" data-lineheight="14">Search catalog classes for all provider results</h4>
                    <label>Search catalog classes for all provider results</label>

                    <div class="input-control select" data-role="input-control">
                        <div @Html.AngTooltipValidationFor(model => model.County)>

                            <select ng-model="Model.County"
                                    name="Counties" data-placeholder="Select counties"
                                    ng-options="obj.Value as obj.Text group by obj.Group for obj in Model.AllCounties">
                                <option value="">Select location</option>
                            </select>
                        </div>
                    </div>

                    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.Categories)>
                        <select ng-model="@Html.Ang(m => m.Categories)"
                                name="Category" data-placeholder="Select categories"
                                ng-options="obj.Value as obj.Text group by obj.Group for obj in Model.AllCategories">
                            <option value="">Select category</option>
                        </select>
                    </div>
                    <div class="grid fluid">
                        <div class="row">
                            <div class="span6">

                                <div class="table-content" style="margin-top: 20px;">
                                    <h4 class="title" data-fontsize="14" data-lineheight="14">Grade</h4>
                                    <div class="grid fluid">
                                        <div class="row">
                                            <div class="span6">
                                                <div class="input-control select" data-role="input-control">
                                                    <select ng-model="Model.MinGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades">
                                                        <option value="">Select min grade</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="span6">
                                                <div class="input-control select" data-role="input-control">
                                                    <select ng-model="Model.MaxGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades">
                                                        <option value="">Select max grade</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="span6">

                                <div class="table-content" style="margin-top: 20px;">

                                    <div class="grid fluid">
                                        <div class="row">
                                            <div class="span6">
                                                <div class="input-control select" data-role="input-control">
                                                    <select ng-model="Model.MinimumEnrollment"
                                                            ng-options="obj.Value as obj.Text for obj in Model.AllCapacitiesForMin">
                                                        <option value="">Select min enrollment</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="span6">
                                                <div class="input-control select" data-role="input-control">
                                                    <select ng-model="Model.MaximumEnrollment"
                                                            ng-options="obj.Value as obj.Text for obj in Model.AllCapacitiesForMax">
                                                        <option value="">Select max enrollment</option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="grid fluid">
                        <div class="row">
                            <div class="span12">
                                <div class="input-control checkbox margin10" data-role="input-control">
                                    <label>
                                        <input type="checkbox" ng-model="Model.BeforeSchool">
                                        <span class="check"></span>
                                        Before school
                                    </label>
                                </div>
                                <div class="input-control checkbox margin10" data-role="input-control">
                                    <label>
                                        <input type="checkbox" ng-model="Model.Virtus">
                                        <span class="check"></span>
                                        VIRTUS
                                    </label>
                                </div>
                                <div class="input-control checkbox margin10" data-role="input-control">
                                    <label>
                                        <input type="checkbox" ng-model="Model.SendsSessionUpdates">
                                        <span class="check"></span>
                                        Sends Session Updates
                                    </label>
                                </div>
                                <button class="button large primary pull-right" style="float:right;" ng-click="SearchClassesForAllprovider(Model.BeforeSchool)">Search</button>
                            </div>
                        </div>
                    </div>

                </div>

                <div ng-if="SearchModel.TotalItems>0">


                    <div class="table-content table-content-green" style="margin-top: 20px;">
                        <h4 class="title" data-fontsize="14" data-lineheight="14">Results</h4>
                        <div class="grid fluid">
                            <div class="row">
                                <div class="span12">
                                    <div class="pagination pagination-center">
                                        @*<ul>
                                            <li class="first"><a><i class="icon-first-2"></i></a></li>
                                            <li class="prev"><a><i class="icon-previous"></i></a></li>
                                            <li><a>1</a></li>
                                            <li><a>2</a></li>
                                            <li class="active"><a>3</a></li>
                                            <li class="spaces"><a>...</a></li>
                                            <li class="disabled"><a>4</a></li>
                                            <li><a>500</a></li>
                                            <li class="next"><a><i class="icon-next"></i></a></li>
                                            <li class="last"><a><i class="icon-last-2"></i></a></li>
                                        </ul>*@
                                    </div>


                                    @*dir-paginate="idx in dishesPageList | itemsPerPage:itemsPerPage" total-items="total_count" pagination-id="dishesPagination"*@
                                    <!--panel repeat Start-->
                                    <div class="panel panel-green share-catalog panel-margin-set" ng-repeat="catalog in SearchModel.Catalogs">
                                        <div class="panel-header ">
                                            {{catalog.Name}}
                                        </div>
                                        <div class="panel-content">
                                            <p style="white-space: pre-line" ng-bind-html="catalog.Description | unsafe"></p>
                                        </div>
                                        <div class="metro-panel-footer">
                                            <span class="panel-item-footer result-grade" title="Grade">{{catalog.MinGrade}} - {{catalog.MaxGrade}}</span>
                                            <span ng-hide="!MC.account.isPartner" class="panel-item-footer result-price" title="Price"><span>$</span>{{catalog.MinPrice}} - <span>$</span>{{catalog.MaxPrice}}</span>
                                            <span class="panel-item-footer result-weekly" title="Weekly email" ng-if="catalog.WeeklyEmails==true"></span>
                                            <button class="button primary btn-right" ng-click="SeeClassesDetails(catalog.ProviderId,catalog.Id)">See Class Details</button>
                                        </div>
                                    </div>
                                    <div class="pagination pagination-center">
                                        @*<span onclick="post_paging(2)"></span>*@
                                        @*<ul>
                                            <li class="first"><a><i class="icon-first-2"></i></a></li>
                                            <li class="prev"><a><i class="icon-previous"></i></a></li>
                                            <li><a>1</a></li>
                                            <li><a>2</a></li>
                                            <li class="active"><a>3</a></li>
                                            <li class="spaces"><a>...</a></li>
                                            <li class="disabled"><a>4</a></li>
                                            <li><a>500</a></li>
                                            <li class="next"><a><i class="icon-next"></i></a></li>
                                            <li class="last"><a><i class="icon-last-2"></i></a></li>
                                        </ul>*@

                                        @*<a href="#">&laquo;</a>
                                        <a href="#">1</a>
                                        <a class="active" href="#">2</a>
                                        <a href="#">3</a>
                                        <a href="#">4</a>
                                        <a href="#">5</a>
                                        <a href="#">6</a>
                                        <a href="#">&raquo;</a>*@

                                        <pagination page="{{page}}"
                                                    total-items="{{totalItems}}"
                                                    items-per-page="{{itemsPerPage}}"
                                                    on-select-page="selectPage({{page}})"
                                                    max-size="10"
                                                    rotate="false"
                                                    boundary-links="true">

                                        </pagination>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@*<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.4.9/angular.min.js"></script>
<script src="https://raw.githubusercontent.com/michaelbromley/angularUtils/master/src/directives/pagination/dirPagination.js"></script>*@
